CacheFilePriority (Oracle - Berkeley DB Java API)
Date: 2018-05-29

com.sleepycat.db

## Class CacheFilePriority

- java.lang.Object
- - com.sleepycat.db.CacheFilePriority

-     public final class CacheFilePriority
      extends java.lang.Object

  Priorities that can be assigned to files in the cache.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CacheFilePriority` | `DEFAULT` The default priority.
    `static CacheFilePriority` | `HIGH` The second highest priority.
    `static CacheFilePriority` | `LOW` The second lowest priority.
    `static CacheFilePriority` | `VERY_HIGH` The highest priority: pages are the least likely to be discarded.
    `static CacheFilePriority` | `VERY_LOW` The lowest priority: pages are the most likely to be discarded.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final CacheFilePriority DEFAULT

      The default priority.

    - #### HIGH

          public static final CacheFilePriority HIGH

      The second highest priority.

    - #### LOW

          public static final CacheFilePriority LOW

      The second lowest priority.

    - #### VERY_HIGH

          public static final CacheFilePriority VERY_HIGH

      The highest priority: pages are the least likely to be discarded.

    - #### VERY_LOW

          public static final CacheFilePriority VERY_LOW

      The lowest priority: pages are the most likely to be discarded.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 1996, 2018 Oracle and/or its affiliates. All rights reserved.